<script setup lang="ts">
import { ChevronLgRight, Code, DocsAlt, DocPencilAlt } from 'slippers-ui/icons';
import type { BaseCard } from '@/types/base';

const icons = {
  Code,
  DocsAlt,
  DocPencilAlt,
};

interface ResourcesProps {
  title?: string;
  cards?: BaseCard[];
}

defineProps<ResourcesProps>();
</script>

<template>
  <section class="resources slp-mb-96">
    <SlpContainer>
      <SlpRow class="header">
        <SlpTypography tag="h2" variant="heading2-bold">{{ title }}</SlpTypography>
        <hr class="resources__divider" />
      </SlpRow>
      <SlpRow class="resources__row">
        <SlpColumn v-for="card in cards" :key="card.title" :cols="4" class="resources__card">
          <a
            :href="card.button.config.url"
            :data-ga-name="card.button.config.dataGaName"
            :data-ga-location="card.button.config.dataGaLocation"
          >
            <SlpIcon
              :icon="icons[card.config.icon]"
              alt=""
              size="lg"
              color="black"
              class="slp-mb-24"
              variant="marketing"
            />
            <SlpTypography tag="h4" variant="heading4-bold" class="slp-mb-16">{{ card.title }}</SlpTypography>
            <SlpTypography tag="p" variant="body1" class="slp-mb-24">
              {{ card.description }}
            </SlpTypography>
            <SlpButton variant="tertiary"
              >{{ card.button.text }} <SlpIcon :icon="ChevronLgRight" variant="product" hex-color="link-100"
            /></SlpButton>
          </a>
        </SlpColumn>
      </SlpRow>
    </SlpContainer>
  </section>
</template>

<style lang="scss" scoped>
.resources {
  &__divider {
    width: 100%;
    margin: $spacing-64 0;
    border-top: 1px solid $color-surface-200;
  }

  &__row {
    justify-content: space-between;
    display: flex;
    align-items: stretch;
  }

  &__card {
    max-width: 340px;
    display: flex;

    a {
      color: $color-text-300;
      padding: $spacing-32 $spacing-16 $spacing-24;
      display: flex;
      flex-direction: column;
      width: 100%;

      .slp-btn {
        color: $color-text-link-100;
        margin-top: auto;
        text-align: left;
        &:hover {
          text-decoration: none;
        }
      }

      &:hover {
        box-shadow: $shadow-surface-primary-3;
        border-radius: $spacing-4 $spacing-4 $spacing-96 $spacing-4;
        background-color: $color-surface-800;
        transition: all 0.3s ease-in-out;
        cursor: pointer;
      }
    }
  }
}
</style>
